Subject: Re: [PATCH 3/4] doc: replay: use a nested definition list

From: Junio C Hamano <[email-masked]>
Date: Sun, 31 May 2026 07:37:24 +0900

[email-masked] writes:

> From: Kristoffer Haugsbakk <[email-masked]>
>
> This bullet list for `--ref-action` introduces a term with a colon.
> This is exactly what a definition list is, structurally. Let’s be
> sylistically consistent and use the definition list markup construct.

Makes sense.

>  --
> -	* `update` (default): Update refs directly using an atomic transaction.
> -	  All refs are updated or none are (all-or-nothing behavior).
> -	* `print`: Output update-ref commands for pipeline use. This is the
> -	  traditional behavior where output can be piped to `git update-ref --stdin`.
> +`update` (default);; Update refs directly using an atomic transaction.
> +	All refs are updated or none are (all-or-nothing behavior).
> +`print`;; Output update-ref commands for pipeline use. This is the
> +	traditional behavior where output can be piped to `git update-ref --stdin`.
>  --
>  +

The transition from a bulleted list to a nested definition list
(`;;`) for the `--ref-action` modes indeed makes the document
structure much cleaner.

>  The default mode can be configured via the `replay.refAction` configuration variable.